<template>
  <div>
    <img
      class="mx-auto pt-10 lg:pt-20 mb-32 lg:mb-60"
      src="/logo.png"
      alt="Song Quiz logo"
    />
    <div class="z-0 relative">
      <img
        class="w-80 mx-auto -mt-16 lg:-mt-32"
        src="@/static/images/union.png"
        alt="union"
      />
    </div>
    <div
      class="bg-quiz-300 w-40 h-40 rounded-full mx-auto -mt-60 z-20 relative flex justify-center items-center"
    >
      <p class="text-white text-5xl">{{ totalScore }}</p>
    </div>
    <div
      class="sm:max-w-xl xl:max-w-4xl 2xl:max-w-6xl mx-4 sm:mx-auto pt-24 pb-12 lg:pb-24 bg-quiz-200 rounded-xl relative z-10 -mt-20 px-4"
    >
      <p
        v-if="totalScore === 12"
        class="text-center font-prompt text-3xl text-white font-bold mb-4"
      >
        <span class="capitalize">{{ playerName }}</span
        >, you did so great!
      </p>
      <p
        v-else
        class="text-center font-prompt text-3xl text-white font-bold mb-4"
      >
        <span class="capitalize">{{ playerName }}</span
        >, you can do better, try again!
      </p>
      <p class="text-center text-quiz-100 mb-6 lg:mb-12">
        You got {{ totalScore }} out of 12 points.
        <span v-if="totalScore === 12">You are definitely a music lover!</span>
      </p>
      <UiButton
        class="mx-auto btn-default"
        btn-name="Try again"
        btn-type="button"
        @clickBtn="reStartGame"
      />
    </div>
  </div>
</template>

<script>
import UiButton from '@/components/UI/Button/UiButton'

export default {
  components: {
    UiButton,
  },
	middleware: 'isGame',
  data() {
    return {
      playerName: this.$store.state.playerName,
      totalScore: this.$store.getters.currentScore,
    }
  },
  computed: {},
  methods: {
    reStartGame() {
      this.$store.dispatch('reStartGame')
    },
  },
}
</script>
